Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1064276

Summary: No audio output from Lenovo UltraBase 3 Series audio connector jack
Product: [Fedora] Fedora Reporter: Leonid Kanter <leon>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: gansalmon, itamar, jonathan, kernel-maint, madhu.chinakonda
Target Milestone: ---Flags: jforbes: needinfo?
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-03-17 18:43:08 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
alsa-info from non-working configuration (Fedora 20)
none
alsa-info from working configuration (other distribution) none

Description Leonid Kanter 2014-02-12 10:31:30 UTC
Description of problem:

Bug 810697 is re-introduced in Fedora 20. I have no dock station audio output. Thinkpad X220, Lenovo UltraBase 3 Series Dock.

Version-Release number of selected component (if applicable):

kernel-kernel-3.12.10-300.fc20.x86_64

How reproducible: always

Comment 1 Leonid Kanter 2014-02-12 23:04:04 UTC
Created attachment 862572 [details]
alsa-info from non-working configuration (Fedora 20)

Comment 2 Leonid Kanter 2014-02-12 23:05:28 UTC
Created attachment 862573 [details]
alsa-info from working configuration (other distribution)

Comment 3 Leonid Kanter 2014-02-12 23:10:36 UTC
Solution: using Bug 810697 as an example and alsa-info from working configuration, I created following files:


# cat /lib/firmware/alsa-tp-dock
[codec]
0x14f1506e 0x17aa21db 0

[pincfg]
0x1a 0x61a19050
0x1c 0x6121401f

# cat /etc/modprobe.d/dist-alsa.conf
options snd-hda-intel patch="alsa-tp-dock"

With this pincfg dock audio output works.

Comment 4 Justin M. Forbes 2014-02-24 13:59:25 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.13.4-200.fc20.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 5 Justin M. Forbes 2014-03-17 18:43:08 UTC
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for several weeks and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 20, please feel free to reopen the bug and provide the additional information requested.